﻿using HarmonyLib;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System.Linq;


public class CraftableBeeJars : Mod
{
    public void Start()
    {
        CreateRecipe(ItemManager.GetItemByName("Jar_Bee"), 1);
        Debug.Log("Craftable Bee Jars Has Been Loaded!");
        allowItems("Jar_Bee");
    }
    private void allowItems(params string[] validItemNames)
    {


        var honeycombItem = ItemManager.GetItemByName("HoneyComb");
        var honeycombIngredient = new CostMultiple(new Item_Base[] { honeycombItem }, 3);



        var jarbee = ItemManager.GetItemByName("Jar_Bee");
        jarbee.settings_recipe.NewCost = new CostMultiple[] { honeycombIngredient };
    }
    /// <param name="pResultItem">Item resulting from the crafting.</param>
    public static void CreateRecipe(Item_Base pResultItem, int pAmount)
    {
        Traverse.Create(pResultItem.settings_recipe).Field("craftingCategory").SetValue(CraftingCategory.Resources);
        Traverse.Create(pResultItem.settings_recipe).Field("amountToCraft").SetValue(pAmount);
    }

    public void OnModUnload()
    {
        Debug.Log("Vine Goo To Explosive Goo has been unloaded!");
    }
}